Trying to get started with Windows Desktop IDE


#1

I’ve installed the Desktop IDE, and see the following screen when I launch it:

Where do I go from here?

Need to work with personal libraries, so I don’t think the Web IDE won’t fulfill all that I need.

I’ve been using the Web IDE for years, and have built a bunch of projects with it.

Just new to trying to use the desktop iDE


#2

Have you tried using vanilla Atom and installing particle-dev-complete? It should be more up to date.


#3

I will give that a try.


#4

Tried that and got only this far:
image


Have tries to install several times.
No clue how “check your console”


#5

Try CTRL-SHIFT-I


#6

That worked, and here is what I found

commitCommentContainer_item.graphql.js:112 Could not resolve 'particle-dev' to a package path
loadPackage @ commitCommentContainer_item.graphql.js:112
commitCommentContainer_item.graphql.js:112 Uncaught (in promise) Error: Failed to load package 'particle-dev'
    at PackageManager.activatePackage (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:691:35)
    at Object.activate (file:///C:/Users/Brian/.atom/packages/particle-dev-cloud-functions/lib/cloud-functions.js:14:24)
    at Package.activateNow (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:230:33)
    at measure (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:206:33)
    at Package.measure (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:88:25)
    at activationPromise.Promise (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:200:20)
    at new Promise (<anonymous>)
    at Package.activate (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:198:38)
    at PackageManager.activatePackage (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:695:42)
    at config.transactAsync (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:670:36)
    at Config.transactAsync (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\config.js:866:28)
    at PackageManager.activatePackages (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:668:23)
    at PackageManager.activate (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:647:50)
    at loadStatePromise.loadState.then (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\atom-environment.js:871:27)
    at <anonymous>
commitCommentContainer_item.graphql.js:112 Uncaught (in promise) Error: Failed to load package 'particle-dev'
    at PackageManager.activatePackage (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:691:35)
    at Object.activate (file:///C:/Users/Brian/.atom/packages/particle-dev-cloud-variables/lib/cloud-variables.js:14:24)
    at Package.activateNow (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:230:33)
    at measure (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:206:33)
    at Package.measure (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:88:25)
    at activationPromise.Promise (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:200:20)
    at new Promise (<anonymous>)
    at Package.activate (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package.js:198:38)
    at PackageManager.activatePackage (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:695:42)
    at config.transactAsync (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:670:36)
    at Config.transactAsync (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\config.js:866:28)
    at PackageManager.activatePackages (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:668:23)
    at PackageManager.activate (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\package-manager.js:647:50)
    at loadStatePromise.loadState.then (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\src\atom-environment.js:871:27)
    at <anonymous>
C:\Users\Brian\.atom\packages\particle-dev-complete\node_modules\atom-package-deps\lib\view.js:64 [Package-Deps] Unable to install particle-dev, Error: 
> serialport@4.0.1 install C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport
> node-pre-gyp install --fallback-to-build

Failed to execute 'C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\bin\node.exe C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\bin\\..\node_modules\node-gyp\bin\node-gyp.js configure --fallback-to-build --module=C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport\build\Release\serialport.node --module_name=serialport --module_path=C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport\build\Release' (1)
C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529
`-- (empty)


npm WARN deprecated spark@0.5.10: Use particle-api-js instead
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN excluding symbolic link test\server\static\ie8-polyfill.js -> ../../../ie8-polyfill.js
npm WARN excluding symbolic link test\server\static\ie8-polyfill.js -> ../../../ie8-polyfill.js
node-pre-gyp ERR! Tried to download(404): https://github.com/EmergingTechnologyAdvisors/node-serialport/releases/download/4.0.1/serialport-v4.0.1-electron-v2.0-win32-x64.tar.gz 
node-pre-gyp ERR! Pre-built binaries not found for serialport@4.0.1 and electron@2.0.5 (electron-v2.0 ABI, unknown) (falling back to source compile with node-gyp) 
gyp ERR! configure error 
gyp ERR! stack Error: Can't find Python executable "python", you can set the PYTHON env variable.
gyp ERR! stack     at failNoPython (C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\node-gyp\lib\configure.js:449:14)
gyp ERR! stack     at C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\node-gyp\lib\configure.js:404:11
gyp ERR! stack     at C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\node_modules\graceful-fs\polyfills.js:284:29
gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:123:15)
gyp ERR! System Windows_NT 10.0.17134
gyp ERR! command "C:\\Users\\Brian\\AppData\\Local\\atom\\app-1.29.0\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\Brian\\AppData\\Local\\atom\\app-1.29.0\\resources\\app\\apm\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--fallback-to-build" "--module=C:\\Users\\Brian\\AppData\\Local\\Temp\\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\\node_modules\\particle-dev\\node_modules\\serialport\\build\\Release\\serialport.node" "--module_name=serialport" "--module_path=C:\\Users\\Brian\\AppData\\Local\\Temp\\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\\node_modules\\particle-dev\\node_modules\\serialport\\build\\Release"
gyp ERR! cwd C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport
gyp ERR! node -v v6.9.5
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok 
node-pre-gyp ERR! build error 
node-pre-gyp ERR! stack Error: Failed to execute 'C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\bin\node.exe C:\Users\Brian\AppData\Local\atom\app-1.29.0\resources\app\apm\bin\\..\node_modules\node-gyp\bin\node-gyp.js configure --fallback-to-build --module=C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport\build\Release\serialport.node --module_name=serialport --module_path=C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport\build\Release' (1)
node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\node-pre-gyp\lib\util\compile.js:83:29)
node-pre-gyp ERR! stack     at emitTwo (events.js:106:13)
node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:191:7)
node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:877:16)
node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
node-pre-gyp ERR! System Windows_NT 10.0.17134
node-pre-gyp ERR! command "C:\\Users\\Brian\\AppData\\Local\\atom\\app-1.29.0\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\Brian\\AppData\\Local\\Temp\\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\\node_modules\\particle-dev\\node_modules\\node-pre-gyp\\bin\\node-pre-gyp" "install" "--fallback-to-build"
node-pre-gyp ERR! cwd C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\node_modules\particle-dev\node_modules\serialport
node-pre-gyp ERR! node -v v6.9.5
node-pre-gyp ERR! node-pre-gyp -v v0.6.39
node-pre-gyp ERR! not ok 
npm WARN enoent ENOENT: no such file or directory, open 'C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\package.json'
npm WARN apm-install-dir-118711-18912-gezhw6.m4eyjk0529 No description
npm WARN apm-install-dir-118711-18912-gezhw6.m4eyjk0529 No repository field.
npm WARN apm-install-dir-118711-18912-gezhw6.m4eyjk0529 No README data
npm WARN apm-install-dir-118711-18912-gezhw6.m4eyjk0529 No license field.
npm ERR! Windows_NT 10.0.17134
npm ERR! argv "C:\\Users\\Brian\\AppData\\Local\\atom\\app-1.29.0\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\Brian\\AppData\\Local\\atom\\app-1.29.0\\resources\\app\\apm\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "C:\\Users\\Brian\\.atom\\.apm\\.apmrc" "--userconfig" "C:\\Users\\Brian\\.atom\\.apmrc" "install" "C:\\Users\\Brian\\AppData\\Local\\Temp\\d-118711-18912-8lxfpj.uoe34bo6r\\package.tgz" "--runtime=electron" "--target=2.0.5" "--arch=x64" "--global-style" "--production"
npm ERR! node v6.9.5
npm ERR! npm  v3.10.10
npm ERR! code ELIFECYCLE

npm ERR! serialport@4.0.1 install: `node-pre-gyp install --fallback-to-build`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the serialport@4.0.1 install script 'node-pre-gyp install --fallback-to-build'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the serialport package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-pre-gyp install --fallback-to-build
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs serialport
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls serialport
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     C:\Users\Brian\AppData\Local\Temp\apm-install-dir-118711-18912-gezhw6.m4eyjk0529\npm-debug.log
npm ERR! code 1


complete @ C:\Users\Brian\.atom\packages\particle-dev-complete\node_modules\atom-package-deps\lib\view.js:64

Where do I go from here?


#7

ping @suda

Edit:

It looks like it’s trying to use python but can’t find it.